<template>
<v-container px-0>
  <page-title backurl="/">Вопросы</page-title>

  <v-expansion-panels inset flat focusable hover active-class="selected" class="px-0 mx-0">
    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Как Ваши ученики сдают экзамены
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        Умные и старательные - хорошо (75...94).

        <br/>

        Лентяи и бездельники - плохо, хотя точно не знаю, но ни один из
        таких не хвастался результатом.

        <low-results-note></low-results-note>
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Отзывы
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        Есть конечно. Но нахожу бессмысленным их коллекционировать.

        <img alt="Отзыв" contain :src="require('@/assets/img/response/1.png')" />
        <br>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/2.png')" />
        <v-divider></v-divider>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/6.png')" />
        <v-divider></v-divider>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/4.jpg')" class="pt-1" />
        <v-divider></v-divider>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/5.jpg')" />
        <v-divider></v-divider>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/7.png')" class="pt-1" />
        <v-divider></v-divider>
        <img alt="Отзыв" contain :src="require('@/assets/img/response/8.png')" class="pt-1" />
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Как с Вами связаться
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>
          Telegram, Email, Skype, Вконтакте
          (см. <router-link to="/contacts">контакты</router-link>). Если
          нужна помощь с конкретной задачей - отправьте необходимые файлы
          через Telegram или Email.
        </p>

        Если Вы находитесь в другом часовом поясе - лучше пишите, я
        всегда отвечу и договоримся о времени.
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Где проходят занятия
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <s>Два</s> варианта:

        <ol>
          <li>Онлайн: Skype/Zoom, Telegram (см. <router-link to="/contacts">контакты</router-link>)</li>
          <li><s>У меня - Москва, м. Сходненская</s></li>
        </ol>

        <v-alert type="warning">
          В связи с COVID-19 (да и просто так удобнее) лучше заниматься удаленно.
        </v-alert>
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Лучше ли заниматься удаленно
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>Кто-то (и я поддерживаю) оценит следующие плюсы:</p>

        <ol class="green--text text--darken-3 mb-3">
          <li>не тратим время на дорогу (пару часов туда-сюда)</li>
          <li>не тратим деньги на дорогу</li>
          <li>не опаздываем из-за пробок</li>
          <li>не заражаем друг друга</li>
        </ol>

        <p>
          <b>Иногда</b> действительно есть причины, по которым мы не
          можем заниматься удаленно:
        </p>

        <ol>
          <li>когда Вы не можете остаться в тихой обстановке (много людей рядом)</li>
          <li>когда надо обсудить какие-то уж очень сложные вопросы (например: кучу
            виртуальных машин с настроенной сетью между ними по почте не перешлешь)</li>
        </ol>

        <!-- отговорки: -->

        <!-- для нас это неудобно -->

        <!-- мы не воспринимаем это как нормальный способ обучения -->

        <!-- для нас это слишком новые технологии -->
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Что нужно для удаленного обучения
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>Тихая обстановка, микрофон и хотя бы Skype. Веб-камера не нужна.</p>

        Skype можно скачать <a href="https://www.skype.com/ru/get-skype/" target="_blank">тут</a>,
        Discord - <a href="https://discordapp.com/download" target="_blank">тут</a>.
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Вы являетесь преподавателем МГТУ им. Баумана
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>Нет, я выпускник МГТУ (2013г). Студентам ИУ-2 в помощь
          - <a href="https://baumanka.pashinin.com">ботва</a>.</p>

        Также никаких личных телефонов сотрудников МГТУ у меня нет, так что
        взятку через меня Вы никому не дадите.
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Каков Ваш стаж работы репетитором
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <!-- Примерно {{ time }} лет. -->
        Достаточно лет, чтобы готовить учеников с 90+ баллами.
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Вы гарантируете сдачу 'X' на N баллов после занятий
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>Нет. Вам надо к мошенникам, которые так завлекают клиентов (а так
          делают многие).</p>

        <p>Подобные гарантии в обучающих центрах даются на заранее невыполнимых
          условиях - вероятность того, что Ваш ребенок за год ни разу не
          заболеет, не пропустит ни одного занятия по другим причинам,
          выполнит каждую домашнюю работу равна нулю. А там именно такие
          условия гарантии.</p>

        <p>
          Олимпиадники такого не спросят: <i>"Если мы разберём некоторые
            задачи - Вы гарантируете, что я решу всю олимпиаду?"</i>
        </p>
      </v-expansion-panel-content>
    </v-expansion-panel>

    <v-expansion-panel>
      <v-expansion-panel-header :expand-icon="mdiHelpCircleOutline" ripple disable-icon-rotate>
        Как заплатить за экзамен в Бауманке
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <p>Даже если бы знал как и к кому обращаться - не стал бы вам
          помогать с этим.</p>

        <router-link to="/">Записываться</router-link> ко мне нужно
        заранее, а не в сентябре на пересдаче летней сессии искать кому
        дать взятку. Тогда сами все сдадите.
      </v-expansion-panel-content>
    </v-expansion-panel>
  </v-expansion-panels>
</v-container>
</template>

<script>
import LowResultsNote from '@/common/LowResultsNote.vue';
import {
  mdiHelpCircleOutline,
} from '@mdi/js';

export default {
  metaInfo: {
    title: 'Вопросы',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Частые вопросы',
      },
    ],
  },
  computed: {
    time() {
      const ageDifMs = Date.now() - new Date('December 31, 2012 03:24:00');
      const s = ageDifMs / 1000;
      // const age = new Date(ageDifMs); // miliseconds from epoch
      // return Math.abs(age.getUTCFullYear() - 1970);
      return s / 60 / 60 / 24 / 365;
    },
  },
  components: {
    LowResultsNote,
    'page-title': () => import('@/common/PageTitle.vue'),
  },
  data: () => ({
    // icons
    mdiHelpCircleOutline,

    items: [
      {
        text: 'Главная',
        to: '/',
        disabled: false,
      },
      {
        text: 'Вопросы',
        to: '/faq',
        disabled: true,
      },
    ],
  }),
};
</script>

<style scoped>
.selected {
  color: white;
}
</style>
